cmd/go: update mkalldocs.sh

Update mkalldocs.sh from the current master sources, replacing the old
mkdoc.sh.

Change-Id: I22faeb5db3376d7a2881dd220aa0d07c6bcb5186
Reviewed-on: https://go-review.googlesource.com/111096
Reviewed-by: Than McIntosh <thanm@google.com>
diff --git a/libgo/go/cmd/go/mkalldocs.sh b/libgo/go/cmd/go/mkalldocs.sh
new file mode 100755
index 0000000..72886db
--- /dev/null
+++ b/libgo/go/cmd/go/mkalldocs.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Copyright 2012 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+go build -o go.latest
+./go.latest help documentation >alldocs.go
+gofmt -w alldocs.go
+rm go.latest
diff --git a/libgo/go/cmd/go/mkdoc.sh b/libgo/go/cmd/go/mkdoc.sh
deleted file mode 100755
index 12fd7ba..0000000
--- a/libgo/go/cmd/go/mkdoc.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-# Copyright 2012 The Go Authors.  All rights reserved.
-# Use of this source code is governed by a BSD-style
-# license that can be found in the LICENSE file.
-
-go install # So the next line will produce updated documentation.
-go help documentation > doc.go
-gofmt -w doc.go
-